> For the complete documentation index, see [llms.txt](https://docs-v4.venus.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-v4.venus.io/technical-reference/reference-governance/base-omnichain-controller-dest.md).

# BaseOmnichainControllerDest

## BaseOmnichainControllerDest

## Solidity API

#### maxDailyReceiveLimit

Maximum daily limit for receiving commands from Binance chain

```solidity
uint256 maxDailyReceiveLimit
```

***

#### last24HourCommandsReceived

Total received commands within the last 24-hour window from Binance chain

```solidity
uint256 last24HourCommandsReceived
```

***

#### last24HourReceiveWindowStart

Timestamp when the last 24-hour window started from Binance chain

```solidity
uint256 last24HourReceiveWindowStart
```

***

#### setMaxDailyReceiveLimit

Sets the maximum daily limit for receiving commands

```solidity
function setMaxDailyReceiveLimit(uint256 limit_) external
```

**Parameters**

| Name    | Type    | Description        |
| ------- | ------- | ------------------ |
| limit\_ | uint256 | Number of commands |

**📅 Events**

* Emits SetMaxDailyReceiveLimit with old and new limit

**⛔️ Access Requirements**

* Only Owner

***

#### pause

Triggers the paused state of the controller

```solidity
function pause() external
```

**⛔️ Access Requirements**

* Only owner

***

#### unpause

Triggers the resume state of the controller

```solidity
function unpause() external
```

**⛔️ Access Requirements**

* Only owner

***

#### renounceOwnership

Empty implementation of renounce ownership to avoid any mishappening

```solidity
function renounceOwnership() public
```

***


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-v4.venus.io/technical-reference/reference-governance/base-omnichain-controller-dest.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
